<?
	/** Wyświetlanie informacji o konkretnym zadaniu.
	 * @author Michał Malinowski
	 * @package XPStudent
	 */

	 /** Potrzebna jest funkcja zczytujące informacje o zadaniach i oddanych pracach.
	 */
	 include './functions/Sdb.fun.php';

	 /** Funkcja wypisująca informacje z określonego przedmiotu dla studenta.
	  *
		* Do informacji należą: nr grupy, prowadzący, zadania w tym przedmiocie (nr, nazwa, termin, link, autor).
		* @param string $zaj_cyk identyfikator przedmiotu.
	  */
	function showTask($zaj_cyk, $idTask) {
		global $sess;
		$now = time();

		if (!isset($_SESSION[$sess->name('Sgroups')][$zaj_cyk]))
			return;
		$lecData = &$_SESSION[$sess->name('Sgroups')][$zaj_cyk];
		if (!$lecData['tasks'])
			readTasks($lecData, $zaj_cyk, $lecData['gr_nr']);
		if (!isset($lecData['tasks'][$idTask]))
			return;
		$zadData = $lecData['tasks'][$idTask];

		$sess->set('Szaj_cyk', $zaj_cyk);
		$sess->set('Stask', $idTask);

		printf('<h1>%s</h1>', $zadData['nazwa']);
		$tab = new CTable(2, '', 'cellspacing="0" cellpadding="4"');
		$tab->addField('Numer Twojej grupy: ');
		$tab->addField('<b>' . $lecData['gr_nr'] . '</b>');
		$tab->addField('Prowadzący grupę: ');
		$tab->addField($lecData['pimie'] . ' ' . $lecData['pnazwisko'] . ' (<a href="mailto:' . $lecData['pemail'] . '">' . $lecData['pemail'] . '</a>)');
		$tab->close();
		printf('<br>');

		$tab = new CTable(2, '', 'cellspacing="0" cellpadding="8"');
		$tab->setLight();

		$labLink = new CLink('Slaboratory');
		$labLink->addFirstParam('Szaj_cyk', $zaj_cyk);
		$tab->addField('Przedmiot:');
		$tab->addField($labLink->get($lecData['przedmiot']));

		$tab->addField('Nr zadania:');
		$tab->addField($zadData['numer_zad']);

		$tab->addField('Nazwa zadania:');
		$tab->addField($zadData['nazwa']);

		$tab->addField('Pierwszy termin:');
		$tab->addField(date('d-m-y H:i ', $zadData['termin1']));

		if ($zadData['termin2']) {
			$tab->addField('Drugi termin:');
			if ($now < $zadData['termin2'])
				$tab->addField('<font color="red">' . date('d-m-y H:i ', $zadData['termin2']) . '</font>');
			else
				$tab->addField(date('d-m-y H:i', $zadData['termin2']));
		}

		$tab->addField('Link:');
		$tab->addField('<a href="http://' . $zadData['link_url'] . '">' . $zadData['link_url'] . '</a>');

		$tab->addField('Autor:');
		$tab->addField($zadData['aimie'] . ' ' . $zadData['anazwisko'] . ' (<a href="mailto:' .$zadData['aemail'] . '">'. $zadData['aemail'] . '</a>)');
		$tab->close();
		printf('<br>');

		getGivenJobs($jobs, $idTask, $sess->get('id'));
		if ($jobs) {
			printf('<h2>Wysłane prace</h2>');
			$tab = new CTable(5, '', 'cellspacing="0" cellpadding="8"');
			$tab->addField('Nr wysłania:');
			$tab->addField('Id wysłania:');
			$tab->addField('Data wysłania:');
			$tab->addField('Status:');
			$tab->addField('Rozmiar pliku:');
			$tab->setLight();
			$i = 0;
			foreach($jobs as $idOdd => $oddData) {
				if ($oddData['status'] == 'Aktualne')
				if ($zadData['termin1'] >= $oddData['oddanie'])
					$status = 'OK';
				else if ($zadData['termin2'] && $zadData['termin2'] >= $oddData['oddanie'])
						$status = '<font class="darkBlue">Drugi termin!</font>';
				else
						$status = '<font class="red">Spóźnione!</font>';

				$i++;
				$tab->addField("$i", '', 'align="center"');
				$tab->addField($idOdd, '', 'align="center"');
				$tab->addField(date('d-m-y H:i', $oddData['oddanie']));
				$tab->addField($status . ' (' . $oddData['status'] . ')');
				$tab->addField($oddData['rozmiar']);
			}
			$tab->close();
		}
		else {
			printf('<h2>Brak wysłanych prac!</h2>');
		}

		if (empty($i) || $i < 5) {
			printf('<br><h2>Wyślij rozwiązanie:</h2>');
			$tab = new CTable(2, '', 'cellspacing="0" cellpadding="8"');
			$tab->addField('Aktualny czas: ');
			$tab->addField(date('d-m-y H:i ', $now));
			$tab->addField('Nr wysłania: ');
			$tab->addField(++$i);
			$tab->addField('Limit wysyłania: ');
			$tab->addField('5');
			$tab->close();
			printf('<p>Rozmiar pliku nie może przekroczyć 2 MB!</p>');
			$form = new CFORM('post', 'enctype="multipart/form-data"');
			$form->xexepage('Sadd_job');
			$form->xpage('Sadd_stat');
			$form->input('Szaj_cyk', 'hidden', "value=\"$zaj_cyk\"");
			$form->input('Stask', 'hidden', "value=\"$idTask\"");
			$form->input('MAX_FILE_SIZE', 'hidden', 'value="2097152"');
			$form->input('Sfile', 'file');
			$form->input('sbutton', 'submit', 'value="Wyślij"');
			$form->close();
		}
		else {
			printf('<h2>Wykorzystałeś już limit wysyłania prac!</h2>');
		}
	}

	if (!isset($_GET['Szaj_cyk']) && !isset($_GET['Stask']))
		showTask($sess->get('Szaj_cyk'), $sess->get('Stask'));
	else
		showTask($_GET['Szaj_cyk'], $_GET['Stask']);
?>
